# Maintainer: Richard Lees <sp0@bitservices.org.uk>
###############################################################################

pkgname=pretty-motd
pkgver=2.0.4
pkgrel=1
pkgdesc="Sets a pretty MOTD based on system information."
arch=('any')
license=('unknown')
depends=('util-linux' 'diffutils' 'inetutils')
backup=("etc/conf.d/${pkgname}")
source=("${pkgname}.archlinux.template"
        "${pkgname}.conf"
        "${pkgname}.plain.template"
        "${pkgname}.service"
        "${pkgname}.sh")
sha256sums=("46b35c5ee16c14ba92e92309bcdcdef5c2c3499924d9a30aafa73df0137bfdea"
            "8ac1e60bb7ba535ffd27804218fabc8b7eec22c8682fa7dd5827be8aad79af38"
            "e7d4ddedfc3d3747239ee20bab67f6e85f55f237be37755e6fe60a2f1b493e2b"
            "2fa1582158bf7288e2d0b2ff3842af9702e41d1596a2ab9f35aab2be8cf1dbef"
            "e06eeedbdd4c480b71781c3cd4786395f3bcd67fef5bf4e9b50ac7c1a7f519b9")

###############################################################################

package() {
    install -d "${pkgdir}/etc/conf.d"
    install -d "${pkgdir}/usr/bin"
    install -d "${pkgdir}/usr/lib/systemd/system"
    install -d "${pkgdir}/usr/share/${pkgname}"
    install -d "${pkgdir}/usr/share/${pkgname}/templates"

    install -Dm644 "${pkgname}.conf" "${pkgdir}/etc/conf.d/${pkgname}"

    install -Dm755 "${pkgname}.sh" "${pkgdir}/usr/bin/${pkgname}.sh"
    install -Dm644 "${pkgname}.service" "${pkgdir}/usr/lib/systemd/system/${pkgname}.service"

    install -Dm644 "${pkgname}.archlinux.template" "${pkgdir}/usr/share/${pkgname}/templates/archlinux.template"
    install -Dm644 "${pkgname}.plain.template" "${pkgdir}/usr/share/${pkgname}/templates/plain.template"
}

###############################################################################
